## libkf5kipi 18.12.3

=== debian/changelog ===
libkf5kipi (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:34:46 +0000

libkf5kipi (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:21:45 +0000

libkf5kipi (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:15:15 +0000

libkf5kipi (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:53:31 +0000

libkf5kipi (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Epoch added by Debian.
  * Merge Debian changes. Remaining changes:
    - Kubuntu Vcs fields.
    - Pass -fno-keep-inline-functions to acc test.
    - Bumped build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 09:56:55 +0000

libkf5kipi (18.11.80-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream beta release (18.11.80)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 17 Nov 2018 13:01:02 +0000
