=== debian/control ===
--- 
+++ 
@@ -45,7 +45,9 @@
 Package: libkf5kipi-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kipi32.0.0 (= ${binary:Version}), pkg-config, ${misc:Depends}
+Depends: libkf5kipi32.0.0 (= ${binary:Version}),
+         pkg-config,
+         ${misc:Depends},
 Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
 Description: KDE Image Plugin Interface library -- development files
  Libkipi is a KDE library that provides a common interface for operations
