## libkf5kipi 19.08.1

=== debian/changelog ===
libkf5kipi (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Drop old breaks/replaces in libkf5kipi-data.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Switch from dhmk to dh with kf5 addon, and as-needed linking.
  * Drop the pkg-config dependency in libkf5kipi-dev, no more needed now.
  * Mark libkf5kipi32.0.0 as Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 11:27:51 +0200
