=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                qtbase5-dev (>= 5.2.0~),
 Standards-Version: 4.4.0
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkipi
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkipi.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
 
 Package: libkf5kipi-data
 Architecture: all
@@ -34,7 +34,8 @@
 Package: libkf5kipi-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kipi32.0.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libkf5kipi32.0.0 (= ${binary:Version}),
+         ${misc:Depends},
 Description: KDE Image Plugin Interface library -- development files
  Libkipi is a KDE library that provides a common interface for operations
  on images such as manipulation, organization, importing from and exporting
