=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0.0),
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.1.0~),
                libkf5config-dev (>= 5.1.0~),
                libkf5i18n-dev (>= 5.1.0~),
@@ -12,10 +12,11 @@
                libkf5xmlgui-dev (>= 5.1.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkipi
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkipi.git
 
 Package: libkf5kipi-data
 Architecture: all
