=== debian/changelog ===
libkf5kipi (4:20.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libkf5kipi-dev: Add Multi-Arch: same.

  [ Pino Toscano ]
  * New upstream release.
  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Stop shipping the upstream README in libkf5kipi-data, as it does not
    provide useful information for users.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Jan 2021 14:39:48 +0100
