=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                libkf5xmlgui-dev (>= 5.1.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Homepage: https://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkipi
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkipi.git
 
@@ -35,8 +35,8 @@
 Package: libkf5kipi-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kipi32.0.0 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkf5kipi32.0.0 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: KDE Image Plugin Interface library -- development files
  Libkipi is a KDE library that provides a common interface for operations
  on images such as manipulation, organization, importing from and exporting
