=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: libkf5kipi
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.0.0),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.1.0~),
+               libjpeg-dev,
                libkf5config-dev (>= 5.1.0~),
                libkf5i18n-dev (>= 5.1.0~),
                libkf5service-dev (>= 5.1.0~),
                libkf5xmlgui-dev (>= 5.1.0~),
+               libpng-dev,
+               libtiff-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),
 Standards-Version: 4.5.1
