=== debian/control ===
--- 
+++ 
@@ -1,18 +1,15 @@
 Source: libkf5kipi
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0.0),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.1.0~),
-               libjpeg-dev,
                libkf5config-dev (>= 5.1.0~),
                libkf5i18n-dev (>= 5.1.0~),
                libkf5service-dev (>= 5.1.0~),
                libkf5xmlgui-dev (>= 5.1.0~),
-               libpng-dev,
-               libtiff-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),
 Standards-Version: 4.5.1
@@ -38,7 +35,8 @@
 Package: libkf5kipi-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kipi32.0.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libkf5kipi32.0.0 (= ${binary:Version}),
+         ${misc:Depends},
 Multi-Arch: same
 Description: KDE Image Plugin Interface library -- development files
  Libkipi is a KDE library that provides a common interface for operations
