=== debian/control ===
--- 
+++ 
@@ -1,28 +1,31 @@
 Source: libkf5kipi
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0.0),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
+Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 1.1.0~),
-               libkf5config-dev (>= 5.1.0~),
+               extra-cmake-modules (>= 5.85.0~),
+               libjpeg-dev,
+               libkf5config-dev (>= 5.85.0~),
                libkf5i18n-dev (>= 5.1.0~),
-               libkf5service-dev (>= 5.1.0~),
-               libkf5xmlgui-dev (>= 5.1.0~),
+               libkf5service-dev (>= 5.85.0~),
+               libkf5xmlgui-dev (>= 5.85.0~),
+               libpng-dev,
+               libtiff-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.15.0~),
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkipi
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkipi.git
 
 Package: libkf5kipi-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: KDE Image Plugin Interface library -- data files
  Libkipi is a KDE library that provides a common interface for operations
  on images such as manipulation, organization, importing from and exporting
@@ -36,8 +39,7 @@
 Package: libkf5kipi-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kipi32.0.0 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkf5kipi32.0.0 (= ${binary:Version}), ${misc:Depends},
 Multi-Arch: same
 Description: KDE Image Plugin Interface library -- development files
  Libkipi is a KDE library that provides a common interface for operations
